Skip to main content
PATCH
Update Token

Path Parameters

name
string
required

Body

application/json
balance
number<double> | null

Optional remaining credits balance for this Token, if active_balance is set to True and the balance reaches 0, this token will become unusable

Required range: -100000 < x < 100000
expire_time
string<date-time> | null
active_balance
boolean

Weither to use the balance field or not.

balance_reset_amount
number<double> | null

The amount this token's balance is reset to at the start of each balance_reset_period. Null when balance_reset_period is 'none'.

Required range: -100000 < x < 100000
balance_reset_period
enum<string>

How often this token's balance is reinitialized to balance_reset_amount. 'none' = one-time balance (default, current behaviour).

  • none - None
  • daily - Daily
  • weekly - Weekly
  • monthly - Monthly
Available options:
none,
daily,
weekly,
monthly

Response

200 - application/json
name
string
required
read-only

The token name

token_type
enum<string>
required
  • sandbox_api_token - Sandbox
  • api_token - Back
Available options:
sandbox_api_token,
api_token
balance
number<double> | null

Optional remaining credits balance for this Token, if active_balance is set to True and the balance reaches 0, this token will become unusable

Required range: -100000 < x < 100000
expire_time
string<date-time> | null
active_balance
boolean

Weither to use the balance field or not.

balance_reset_amount
number<double> | null

The amount this token's balance is reset to at the start of each balance_reset_period. Null when balance_reset_period is 'none'.

Required range: -100000 < x < 100000
balance_reset_period
enum<string>

How often this token's balance is reinitialized to balance_reset_amount. 'none' = one-time balance (default, current behaviour).

  • none - None
  • daily - Daily
  • weekly - Weekly
  • monthly - Monthly
Available options:
none,
daily,
weekly,
monthly